## PolkitBackendActionPool PolkitBackendActionPool — Registered actions |

## Synopsis

                        PolkitBackendActionPool;
    PolkitBackendActionPool * polkit_backend_action_pool_new
                                                            (GFile *directory);
    GList *             polkit_backend_action_pool_get_all_actions
                                                            (PolkitBackendActionPool *pool,
                                                             const gchar *locale);
    PolkitActionDescription * polkit_backend_action_pool_get_action
                                                            (PolkitBackendActionPool *pool,
                                                             const gchar *action_id,
                                                             const gchar *locale);

## Object Hierarchy

      GObject
       +----PolkitBackendActionPool

## Properties

      "directory"                GFile*                : Read / Write / Construct Only

## Signals

      "changed"                                        : Run Last

## Description

The PolkitBackendActionPool class is a utility class to look up registered PolicyKit actions.

## Details

### PolkitBackendActionPool

    typedef struct _PolkitBackendActionPool PolkitBackendActionPool;

### polkit_backend_action_pool_new ()

    PolkitBackendActionPool * polkit_backend_action_pool_new
                                                            (GFile *directory);

Creates a new PolkitBackendPool that can be used for looking up PolkitActionDescription objects.

`directory` : | A GFile for the directory holding PolicyKit action description files.
Returns : | A PolkitBackendActionPool. Free with `g_object_unref()`.

### polkit_backend_action_pool_get_all_actions ()

    GList *             polkit_backend_action_pool_get_all_actions
                                                            (PolkitBackendActionPool *pool,
                                                             const gchar *locale);

Gets all registered PolicyKit action descriptions from `pool` with strings for `locale`.

`pool` : | A PolkitBackendActionPool.
`locale` : | The locale to get descriptions for or `NULL` for system locale.
Returns : | A GList of PolkitActionDescription objects. This list should be freed with `g_list_free()` after each element have been unreffed with `g_object_unref()`.

### polkit_backend_action_pool_get_action ()

    PolkitActionDescription * polkit_backend_action_pool_get_action
                                                            (PolkitBackendActionPool *pool,
                                                             const gchar *action_id,
                                                             const gchar *locale);

Gets a PolkitActionDescription object describing the action with identifier `action_id`.

`pool` : | A PolkitBackendActionPool.
`action_id` : | A PolicyKit action identifier.
`locale` : | The locale to get descriptions for or `NULL` for system locale.
Returns : | A PolkitActionDescription (free with `g_object_unref()`) or `NULL` if `action_id` isn't registered or valid.

## Property Details

### The `"directory"` property

      "directory"                GFile*                : Read / Write / Construct Only

The directory to load action description files from.

## Signal Details

### The `"changed"` signal

    void                user_function                      (PolkitBackendActionPool *action_pool,
                                                            gpointer                 user_data)        : Run Last

Emitted when action files in the supplied directory changes.

`action_pool` : | A PolkitBackendActionPool.
`user_data` : | user data set when the signal handler was connected.